apiVersion: apps/v1
kind: Deployment
metadata:
  name: radosgw-kube
  namespace: ci
spec:
  replicas: 1
  selector:
    matchLabels:
      name: radosgw-kube
  strategy:
    type: RollingUpdate
  template:
    metadata:
      labels:
        name: radosgw-kube
    spec:
      containers:
      - env:
        - name: CEPH_DAEMON
          value: rgw
        - name: KEYRING_NAME
          value: radosgw.gateway
        - name: RGW_NAME
          value: radosgw
        - name: RGW_CIVETWEB_PORT
          value: "8080"
        image: registry.gitlab.com/synacksynack/opsperator/docker-ceph:master
        imagePullPolicy: IfNotPresent
        livenessProbe:
          initialDelaySeconds: 30
          timeoutSeconds: 1
          tcpSocket:
            port: 8080
        name: radosgw
        ports:
        - containerPort: 8080
          protocol: TCP
        resources:
          limits:
            cpu: 200m
            memory: 512Mi
          requests:
            cpu: 200m
            memory: 512Mi
        volumeMounts:
        - name: conf
          mountPath: /var/lib/ceph/radosgw/ceph-rgw.radosgw/keyring
          subPath: ceph.client.radosgw.gateway.keyring
        - name: conf
          mountPath: /etc/ceph
      volumes:
      - name: conf
        secret:
          defaultMode: 420
          secretName: radosgw-kube
